Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.mindbright.ssh2
Class SSH2X11Filter

    java.lang.Object
      com.mindbright.ssh2.SSH2X11Filter

All Implemented Interfaces:
  SSH2StreamFilter, SSH2StreamFilterFactory

public class SSH2X11Filter
extends java.lang.Object
implements SSH2StreamFilter, SSH2StreamFilterFactory

Implements a stream filter which handles the X11 authentication cookie replacement.

Field Summary
`protected SSH2StreamChannel` | `channel`
`protected SSH2Connection` | `connection`
`protected static java.lang.String` | `X11AUTH_PROTO`
`protected com.mindbright.ssh2.SSH2X11Filter.X11Output` | `x11Out`

Constructor Summary
`` | `SSH2X11Filter()`
`protected` | `SSH2X11Filter(SSH2Connection connection, SSH2StreamChannel channel)`

Method Summary
`SSH2StreamFilter` | `createFilter(SSH2Connection connection, SSH2StreamChannel channel)` Instance constructor
`static SSH2X11Filter` | `getFilterFactory()`
`java.io.InputStream` | `getInputFilter(java.io.InputStream toBeFiltered)` Get the filter for the input stream.
`java.io.OutputStream` | `getOutputFilter(java.io.OutputStream toBeFiltered)` Get the filter for the output stream.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### X11AUTH_PROTO

    protected static final java.lang.String X11AUTH_PROTO

See Also:
  Constant Field Values

### connection

    protected SSH2Connection connection

### channel

    protected SSH2StreamChannel channel

### x11Out

    protected com.mindbright.ssh2.SSH2X11Filter.X11Output x11Out

Constructor Detail

### SSH2X11Filter

    public SSH2X11Filter()

### SSH2X11Filter

    protected SSH2X11Filter(SSH2Connection connection,
                            SSH2StreamChannel channel)

Method Detail

### getFilterFactory

    public static SSH2X11Filter getFilterFactory()

### createFilter

    public SSH2StreamFilter createFilter(SSH2Connection connection,
                                         SSH2StreamChannel channel)

  Description copied from interface: `SSH2StreamFilterFactory`
  Instance constructor

  Specified by:
    `createFilter` in interface `SSH2StreamFilterFactory`

### getInputFilter

    public java.io.InputStream getInputFilter(java.io.InputStream toBeFiltered)

  Description copied from interface: `SSH2StreamFilter`
  Get the filter for the input stream.

  Specified by:
    `getInputFilter` in interface `SSH2StreamFilter`
  Parameters:
    `toBeFiltered` - The stream to filter.

### getOutputFilter

    public java.io.OutputStream getOutputFilter(java.io.OutputStream toBeFiltered)

  Description copied from interface: `SSH2StreamFilter`
  Get the filter for the output stream.

  Specified by:
    `getOutputFilter` in interface `SSH2StreamFilter`
  Parameters:
    `toBeFiltered` - The stream to filter.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD